PredatorRE 1.0 RE installer for Reason 8?

This forum is for discussing Rack Extensions. Devs are all welcome to show off their goods.
amc3
Posts: 1
Joined: 07 Sep 2020

Post 07 Sep 2020

Hello,

i purchased Predator 1.0 Rack Extension for Reason 8 years ago. Now I have a new Mac (Catalina) and I'd like to install the software that I purchased. I've got Reason 8 installed and running just fine. And I was able to sync all of the REs I had purchased, using Authorizer, except for PredatorRE.

But Propellerhead's site for the software (https://www.reasonstudios.com/shop/rack ... nstrument/) says that I need to upgrade Reason.

I don't want to upgrade Reason from v8, which I have installed.

Anyone have tips on how to reinstall Predator v1.0?

Thanks!

User avatar
Socram
RE Developer
Posts: 136
Joined: 04 Jul 2015

Post 08 Sep 2020

You might need to reach out to Props on this one, it sounds like your license was updated to a newer version that requires Reason 9.2, there's not a good way for even the developer to help you with this sadly.
Static Cling - Rack Extension Developer of Tome, Index, Optic, Chord Detector, Delta, AutoLatch, and more coming soon!
www.StaticCling.io
info@StaticCling.io

Mataya
Posts: 77
Joined: 03 May 2019

Post 08 Sep 2020

Try and sync it again. Sometimes I have to sync twice in oredr to see all my re's.

Don't know why is that.
Maybe it's also your case.

M

User avatar
Aosta
Posts: 376
Joined: 26 Jun 2017

Post 08 Sep 2020

Personally I've had issues with Predator on and off for years. Sometimes opening a song and being informed of a missing RE which without fail turns out to be Predator but on closing and opening the song again it is fine...I've always seen it as a little annoyance not worth pursuing.
Tend the flame

  • Information
  • Who is online

    Users browsing this forum: 1reasonable, Ahrefs [Bot], CommonCrawl [Bot], retreed and 2 guests